Package com.independentsoft.office.vml

# Class Callout

java.lang.Object
com.independentsoft.office.vml.Callout

All Implemented Interfaces:
  `IContentElement`, `IGroupElement`, `IShapeElement`, `IVmlElement`

public class Callout extends Object implements IShapeElement, IVmlElement
The Class Callout.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Callout()`
  Instantiates a new callout.
  `Callout​(InternalXMLStreamReader reader)`
  Instantiates a new callout.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Callout`
  `clone()`
  `CalloutAngle`
  `getAngle()`
  Gets the angle.
  `List<IContentElement>`
  `getContentElements()`
  `Unit`
  `getDropDistance()`
  Gets the drop distance.
  `String`
  `getDropPosition()`
  Gets the drop position.
  `ExtensionHandlingBehavior`
  `getExtensionHandlingBehavior()`
  Gets the extension handling behavior.
  `Unit`
  `getGap()`
  Gets the gap.
  `Unit`
  `getLength()`
  Gets the length.
  `CalloutType`
  `getType()`
  Gets the type.
  `boolean`
  `hasAccentBar()`
  Checks for accent bar.
  `boolean`
  `hasAutoDrop()`
  Checks for auto drop.
  `boolean`
  `hasFlipX()`
  Checks for flip x.
  `boolean`
  `hasFlipY()`
  Checks for flip y.
  `boolean`
  `hasTextBorder()`
  Checks for text border.
  `boolean`
  `isDisplay()`
  Checks if is display.
  `boolean`
  `isLengthSpecified()`
  Checks if is length specified.
  `void`
  `setAccentBar​(boolean hasAccentBar)`
  Sets the accent bar.
  `void`
  `setAngle​(CalloutAngle angle)`
  Sets the angle.
  `void`
  `setAutoDrop​(boolean hasAutoDrop)`
  Sets the auto drop.
  `void`
  `setDisplay​(boolean display)`
  Sets the display.
  `void`
  `setDropDistance​(Unit dropDistance)`
  Sets the drop distance.
  `void`
  `setDropPosition​(String dropPosition)`
  Sets the drop position.
  `void`
  `setExtensionHandlingBehavior​(ExtensionHandlingBehavior extensionHandlingBehavior)`
  Sets the extension handling behavior.
  `void`
  `setFlipX​(boolean hasFlipX)`
  Sets the flip x.
  `void`
  `setFlipY​(boolean hasFlipY)`
  Sets the flip y.
  `void`
  `setGap​(Unit gap)`
  Sets the gap.
  `void`
  `setLength​(Unit length)`
  Sets the length.
  `void`
  `setLengthSpecified​(boolean isLengthSpecified)`
  Sets the length specified.
  `void`
  `setTextBorder​(boolean hasTextBorder)`
  Sets the text border.
  `void`
  `setType​(CalloutType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Callout

    public Callout()
    Instantiates a new callout.

  - ### Callout

    public Callout​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new callout.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public Callout clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IGroupElement`
    Specified by:
      `clone` in interface `IShapeElement`
    Specified by:
      `clone` in interface `IVmlElement`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### hasAccentBar

    public boolean hasAccentBar()
    Checks for accent bar.
    Returns:
      true, if successful

  - ### setAccentBar

    public void setAccentBar​(boolean hasAccentBar)
    Sets the accent bar.
    Parameters:
      `hasAccentBar` - the new accent bar

  - ### getAngle

    public CalloutAngle getAngle()
    Gets the angle.
    Returns:
      the angle

  - ### setAngle

    public void setAngle​(CalloutAngle angle)
    Sets the angle.
    Parameters:
      `angle` - the new angle

  - ### getDropDistance

    public Unit getDropDistance()
    Gets the drop distance.
    Returns:
      the drop distance

  - ### setDropDistance

    public void setDropDistance​(Unit dropDistance)
    Sets the drop distance.
    Parameters:
      `dropDistance` - the new drop distance

  - ### getDropPosition

    public String getDropPosition()
    Gets the drop position.
    Returns:
      the drop position

  - ### setDropPosition

    public void setDropPosition​(String dropPosition)
    Sets the drop position.
    Parameters:
      `dropPosition` - the new drop position

  - ### hasAutoDrop

    public boolean hasAutoDrop()
    Checks for auto drop.
    Returns:
      true, if successful

  - ### setAutoDrop

    public void setAutoDrop​(boolean hasAutoDrop)
    Sets the auto drop.
    Parameters:
      `hasAutoDrop` - the new auto drop

  - ### getExtensionHandlingBehavior

    public ExtensionHandlingBehavior getExtensionHandlingBehavior()
    Gets the extension handling behavior.
    Returns:
      the extension handling behavior

  - ### setExtensionHandlingBehavior

    public void setExtensionHandlingBehavior​(ExtensionHandlingBehavior extensionHandlingBehavior)
    Sets the extension handling behavior.
    Parameters:
      `extensionHandlingBehavior` - the new extension handling behavior

  - ### getGap

    public Unit getGap()
    Gets the gap.
    Returns:
      the gap

  - ### setGap

    public void setGap​(Unit gap)
    Sets the gap.
    Parameters:
      `gap` - the new gap

  - ### getLength

    public Unit getLength()
    Gets the length.
    Returns:
      the length

  - ### setLength

    public void setLength​(Unit length)
    Sets the length.
    Parameters:
      `length` - the new length

  - ### isLengthSpecified

    public boolean isLengthSpecified()
    Checks if is length specified.
    Returns:
      true, if is length specified

  - ### setLengthSpecified

    public void setLengthSpecified​(boolean isLengthSpecified)
    Sets the length specified.
    Parameters:
      `isLengthSpecified` - the new length specified

  - ### hasFlipX

    public boolean hasFlipX()
    Checks for flip x.
    Returns:
      true, if successful

  - ### setFlipX

    public void setFlipX​(boolean hasFlipX)
    Sets the flip x.
    Parameters:
      `hasFlipX` - the new flip x

  - ### hasFlipY

    public boolean hasFlipY()
    Checks for flip y.
    Returns:
      true, if successful

  - ### setFlipY

    public void setFlipY​(boolean hasFlipY)
    Sets the flip y.
    Parameters:
      `hasFlipY` - the new flip y

  - ### isDisplay

    public boolean isDisplay()
    Checks if is display.
    Returns:
      true, if is display

  - ### setDisplay

    public void setDisplay​(boolean display)
    Sets the display.
    Parameters:
      `display` - the new display

  - ### hasTextBorder

    public boolean hasTextBorder()
    Checks for text border.
    Returns:
      true, if successful

  - ### setTextBorder

    public void setTextBorder​(boolean hasTextBorder)
    Sets the text border.
    Parameters:
      `hasTextBorder` - the new text border

  - ### getType

    public CalloutType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(CalloutType type)
    Sets the type.
    Parameters:
      `type` - the new type